Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles
Jobs

You should probably note somewhere that your game requires Microsoft Visual C++ Runtime 2015.

Thanks sir i will include a prerequisite download in the next update!